Bug 818679 - katello-configure --help should show valid options.
katello-configure --help should show valid options.
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.0.0
Unspecified Unspecified
high Severity high
: rc
: 1.X
Assigned To: Jordan OMara
Og Maciel
: Triaged
Depends On:
Blocks: sam12-tracker
  Show dependency treegraph
 
Reported: 2012-05-03 13:55 EDT by Eric Sammons
Modified: 2014-11-09 17:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:15:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-05-03 13:55:08 EDT
Description of problem:
When running katello-configure some of the options are left to the imagination of the system admin.  Valid values for options should be documented in --help.

Version-Release number of selected component (if applicable):
katello-configure-0.3.2-4.el6_2.noarch

Steps to Reproduce:
1. katello-configure --help

  
Actual results:
Usage: /usr/sbin/katello-configure [options]
        --answer-file=ANSWER_FILE    Path of the answer file
        --user-name=USER_NAME        Katello administrative user (default: admin)
        --user-pass=USER_PASS        Katello user's password (default: admin)
        --user-email=USER_EMAIL      Katello user's email (default: root@localhost)
        --org-name=ORG_NAME          Katello initial Organization (default: ACME_Corporation)
        --proxy-url=PROXY_URL        HTTP Proxy URL (example: http://172.31.1.1)
        --proxy-port=PROXY_PORT      HTTP Proxy port (default: 3128)
        --proxy-user=PROXY_USER      HTTP Proxy user (proxy username, if auth is required)
        --proxy-pass=PROXY_PASS      HTTP Proxy pass (proxy password, if auth is required)
        --db-name=DB_NAME            Katello database name
        --db-user=DB_USER            Katello database user
        --db-password=DB_PASSWORD    Katello database password
        --deployment=DEPLOYMENT      Deployment Type
        --non-interactive=NON_INTERACTIVE
                                     Non-interactive installer mode
        --ssl-ca-password=SSL_CA_PASSWORD
                                     SSL CA password
        --ssl-ca-country=SSL_CA_COUNTRY
                                     SSL CA country
        --ssl-ca-state=SSL_CA_STATE  SSL CA state
        --ssl-ca-city=SSL_CA_CITY    SSL CA city
        --ssl-ca-org=SSL_CA_ORG      SSL CA organization
        --ssl-ca-org-unit=SSL_CA_ORG_UNIT
                                     SSL CA organization unit
        --ssl-ca-cn=SSL_CA_CN        SSL CA common name
        --ssl-ca-email=SSL_CA_EMAIL  SSL CA e-mail address
        --ssl-cert-expiration=SSL_CERT_EXPIRATION
                                     SSL certificate expiration (in days)
        --ssl-ca-password-file=SSL_CA_PASSWORD_FILE
                                     SSL CA password file path
        --candlepin-ca-password-file=CANDLEPIN_CA_PASSWORD_FILE
                                     Candlepin CA password file path
        --keystore-password-file=KEYSTORE_PASSWORD_FILE
                                     Keystore password file path
        --nss-db-password-file=NSS_DB_PASSWORD_FILE
                                     nss db password file path
        --nss-db-dir=NSS_DB_DIR      nss db path
        --ssl-pk12-password-file=SSL_PK12_PASSWORD_FILE
                                     PKCS12 password file path
        --auth-method=AUTH_METHOD    Authentication method (database, ldap)
        --ldap-server=LDAP_SERVER    LDAP server hostname
        --ldap-encryption=LDAP_ENCRYPTION
                                     encryption method used in communication with LDAP server
        --ldap-basedn=LDAP_BASEDN    Base DN for users accounts
        --ldap-groups-basedn=LDAP_GROUPS_BASEDN
                                     Base DN for users groups
        --ldap-roles=LDAP_ROLES      Use LDAP for roles membership definition
        --only-show-config           Print the resulting configuration and exit
    -h, --help                       Show this short summary


Expected results:
Option --ldap-basedn should probably be re-written to read --ldap-people-basedn as basedn implies one level below People and this matches better with the --ldap-groups-basedn option.

--ldap-roles=LDAP_ROLES reads like one should enter a role v. yes|no or true|false.  

--ldap-encryption should provide valid options.
Comment 1 Jordan OMara 2012-05-11 14:39:18 EDT
Merged pull request 98

commit 33b4f726be4ab1bf4c033ae1c279eadae87c2911
Comment 2 Og Maciel 2012-10-09 16:03:57 EDT
# katello-configure --help
Usage: /usr/sbin/katello-configure [options]
      --answer-file=ANSWER_FILE
           Path of the answer file
      --user-name=USER_NAME
           Katello administrative user (default: admin)
      --user-pass=USER_PASS
           Katello user's password (default: admin)
      --user-email=USER_EMAIL
           Katello user's email (default: root@localhost)
      --org-name=ORG_NAME
           Katello initial Organization (default: ACME_Corporation)
      --proxy-url=PROXY_URL
           HTTP Proxy URL (example: http://172.31.1.1)
      --proxy-port=PROXY_PORT
           HTTP Proxy port (default: 3128)
      --proxy-user=PROXY_USER
           HTTP Proxy user (proxy username, if auth is required)
      --proxy-pass=PROXY_PASS
           HTTP Proxy pass (proxy password, if auth is required)
      --db-name=DB_NAME
           Katello database name
      --db-user=DB_USER
           Katello database user
      --db-password=DB_PASSWORD
           Katello database password
      --candlepin-db-user=CANDLEPIN_DB_USER
           Candlepin database user
      --candlepin-db-password=CANDLEPIN_DB_PASSWORD
           Candlepin databse password
      --candlepin-db-name=CANDLEPIN_DB_NAME
           Candlepin database name
      --deployment=DEPLOYMENT
           Deployment type (one of "katello", "headpin", "cfse", "sam")
      --non-interactive=NON_INTERACTIVE
           Non-interactive installer mode
      --ssl-ca-password=SSL_CA_PASSWORD
           SSL CA password
      --ssl-ca-country=SSL_CA_COUNTRY
           SSL CA country
      --ssl-ca-state=SSL_CA_STATE
           SSL CA state
      --ssl-ca-city=SSL_CA_CITY
           SSL CA city
      --ssl-ca-org=SSL_CA_ORG
           SSL CA organization
      --ssl-ca-org-unit=SSL_CA_ORG_UNIT
           SSL CA organization unit
      --ssl-ca-cn=SSL_CA_CN
           SSL CA common name
      --ssl-ca-email=SSL_CA_EMAIL
           SSL CA e-mail address
      --ssl-cert-expiration=SSL_CERT_EXPIRATION
           SSL certificate expiration (in days)
      --ssl-ca-password-file=SSL_CA_PASSWORD_FILE
           SSL CA password file path
      --candlepin-ca-password-file=CANDLEPIN_CA_PASSWORD_FILE
           Candlepin CA password file path
      --keystore-password-file=KEYSTORE_PASSWORD_FILE
           Keystore password file path for Candlepin
      --nss-db-password-file=NSS_DB_PASSWORD_FILE
           NSS db password file path
      --nss-db-dir=NSS_DB_DIR
           NSS database path
      --ssl-pk12-password-file=SSL_PK12_PASSWORD_FILE
           PKCS12 password file path
      --auth-method=AUTH_METHOD
           Authentication method (database, ldap)
      --ldap-server=LDAP_SERVER
           LDAP server hostname
      --ldap-port=LDAP_PORT
           LDAP server hostname
      --ldap-server-type=LDAP_SERVER_TYPE
           LDAP server type (:posix, :active_directory, :free_ipa)
      --ldap-encryption=LDAP_ENCRYPTION
           Encryption method used in communication with LDAP server (<empty>, start_tls)
      --ldap-users-basedn=LDAP_USERS_BASEDN
           Base DN for users accounts
      --ldap-groups-basedn=LDAP_GROUPS_BASEDN
           Base DN for users groups
      --ldap-roles=LDAP_ROLES
           Use LDAP for roles membership definition (true, false)
      --ldap-anon-queries=LDAP_ANON_QUERIES
           Allow anonymous queries (true, false) for AD or FreeIPA
      --ldap-service-user=LDAP_SERVICE_USER
           Service username for non-anon queries (IPA, AD)
      --ldap-service-pass=LDAP_SERVICE_PASS
           Service password for non-anon queries (IPA, AD)
      --ldap-ad-domain=LDAP_AD_DOMAIN
           Domain for AD LDAP queries
      --es-min-mem=ES_MIN_MEM
           ElasticSearch ES_MIN_MEM java heap setting
      --es-max-mem=ES_MAX_MEM
           ElasticSearch ES_MAX_MEM java heap setting
      --psql-password-file=PSQL_PASSWORD_FILE
           PostgreSQL superuser password (NONE for no password)
      --oauth-token-file=OAUTH_TOKEN_FILE
           OAuth token file
      --pulp-user-password-file=PULP_USER_PASSWORD_FILE
           Pulp user password file
      --reset-data=RESET_DATA
           Set to 'YES' to erase all databases
      --reset-cache=RESET_CACHE
           Set to 'YES' to erase RPM packages from Pulp
      --job-workers=JOB_WORKERS
           Background job workers (default 1)
      --katello-web-workers=KATELLO_WEB_WORKERS
           Katello thin workers (the default is computed from system resources)
      --foreman-web-workers=FOREMAN_WEB_WORKERS
           Foreman thin workers (the default is computed from system resources)
  -b
      --no-bars
           Do not show progress bars and output puppet log instead
  -d
      --debug
           Print more debugging information to on the stdout (use with -b)
  -c
      --only-show-config
           Print the resulting configuration and exit
  -h
      --help
           Show this short summary (more in the man page)
Comment 3 Og Maciel 2012-10-09 16:18:06 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:15:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.